/*
 * @Author: zk
 * @Date: 2021-09-16 16:20:11
 * @LastEditTime: 2021-10-18 09:14:26
 * @LastEditors: Please set LastEditors
 * @Description: 折线图初始数据
 * @FilePath: \vue-admin-template-master\src\layout\mixin\commonChartsLine.js
 */
export default {
  data () {
    return {
      options: {
        title: {
          text: ''
        },
        legend: {
          data: ['Punch Card'],
          left: 'right'
        },
        tooltip: {
          position: 'top',
        },
        grid: {
          left: 2,
          bottom: 10,
          right: 10,
          containLabel: true
        },
        xAxis: {
          type: 'category',
          data: [],
          boundaryGap: false,
          splitLine: {
            show: true
          },
          axisLine: {
            show: false
          }
        },
        yAxis: {
          type: 'category',
          data: [],
          axisLine: {
            show: false
          }
        },
        series: [
          {
            name: 'Punch Card',
            type: 'scatter',
            symbolSize: function (val) {
              return val[2] * 2;
            },
            data: [],
            animationDelay: function (idx) {
              return idx * 5;
            }
          }
        ]
      }
    }
  }
}