export default {
  created() {
    if (!this.customFormItems) {
      this.customFormItems = []
    }
    this.customFormItems.push({
      prop: 'passengerType',
      inputType: 'cascader',
      placeholder: '旅客类型',
      requiredWarning: '请先选择旅客类型',
      clearable: true,
      options: [
        {
          value: '常客等级',
          label: '常客',
          children: [
            {
              value: '全部',
              label: '全部'
            },
            {
              value: '白金卡',
              label: '白金卡'
            },
            {
              value: '金卡',
              label: '金卡'
            },
            {
              value: '银卡',
              label: '银卡'
            },
            {
              value: '普卡',
              label: '普卡'
            },
            {
              value: '其它',
              label: '其它'
            }
          ]
        },
        {
          value: '要客类型',
          label: '要客',
          children: [
            {
              value: '全部',
              label: '全部'
            },
            {
              value: 'VVIP',
              label: 'VVIP'
            },
            {
              value: 'VIP',
              label: 'VIP'
            }
          ]
        }
      ],
      props: {
        expandTrigger: 'hover'
      }
    })
  }
}
